This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 439201 - iptraf limited interface length
iptraf limited interface length
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: iptraf (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 11:09 EDT by Gabriele Turchi
Modified: 2008-04-16 23:48 EDT (History)
0 users

See Also:
Fixed In Version: 3.0.0-9.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Resolutive patch - at least for me (4.66 KB, patch)
2008-03-27 11:09 EDT, Gabriele Turchi
no flags Details | Diff

  None (edit)
Description Gabriele Turchi 2008-03-27 11:09:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Any iptraf version

How reproducible:

Always.

Steps to Reproduce:
1. Enable a network interface with name longer than 7 chars (e.g.: eth1.100 -
vlan 100 over eth1).
2. Start iptraf, select a function (e.g.: IP traffic monitor)
3. 
  
Actual results:

The interfaces list doesn't contain the "too long named" interface.

Expected results:

A list containing any network interface

Additional info:

In the mailing list is present a patch. I've done some test, at least it works
for me.

http://archives.seul.org/iptraf/users/Jan-2007/msg00000.html

P.S.: I'm sorry, my english is alpha version
Comment 1 Gabriele Turchi 2008-03-27 11:09:12 EDT
Created attachment 299340 [details]
Resolutive patch - at least for me
Comment 2 Fedora Update System 2008-04-15 05:40:39 EDT
iptraf-3.0.0-9.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-16 23:48:06 EDT
iptraf-3.0.0-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.